/* ====================================
	nav
==================================== */
nav {
	position: relative;
}

.nav__list {
	display: flex;
}

.nav__list a {
	display: block;
	padding: 0 20px;
	border-right: 1px solid #333333;
    color: #333;
    font-size: 1.4rem;
}

.nav__list li:first-child a {
	padding: 0 20px 0 0;
}

.nav__list li:last-child a {
	border-right: 0;
}

.nav__list li:hover,
.nav__list li a:hover,
.nav__list li.active a {
	color: #7FBEAB;
}

.nav__list li span,
.nav__list li a span {
	margin-bottom: 5px;
	display: inline-block;
}

.nav__list li:hover span,
.nav__list li.active a span {
	padding-bottom: 5px;
	display: inline-block;
	border-bottom: 4px solid #7FBEAB;
	margin-bottom: -4px;
}



@media only screen and (max-width: 1020px) {
	nav {
		margin: 0;
	}

	.nav__list {
		width: 100%;
		display: none;
		position: absolute;
		top: 0;
		left: 0;
		z-index: 99;
		flex-wrap: wrap;
		background-color: rgba(255, 255, 255, 1.0);
		padding: 30px 0 0 0;
	}

	.nav__list li {
		width: 100%;
		border-bottom: 1px solid #cccccc;
	}

	.nav__list li:first-child {
		border-top: 1px solid #cccccc;
	}

	.nav__list li a {
		font-size: 2.4rem;
		line-height: 60px;
		border: 0;
	}

	.nav__list li:first-child a {
		padding: 0 20px 0 20px;
	}

	.nav__list li:hover span,
	.nav__list li.active a span {
		padding-bottom: 0;
		display: inline-block;
		border-bottom: 0 solid #7FBEAB;
	}
}


/* ----------------------
	hamburger
---------------------- */
.menu-trigger {
	display: none;
	margin: 0 0 0 auto;
}

.menu-trigger span {
	display: inline-block;
	transition: all .4s;
	box-sizing: border-box;
}

.menu-trigger {
	position: relative;
	width: 50px;
	height: 44px;
	background: none;
	border: none;
	appearance: none;
	cursor: pointer;
}

.menu-trigger span {
	position: absolute;
	left: 0;
	width: 100%;
	height: 4px;
	background-color: #7FBEAB;
	border-radius: 4px;
}

.menu-trigger span:nth-of-type(1) {
	top: 0;
}

.menu-trigger span:nth-of-type(2) {
	top: 20px;
}

.menu-trigger span:nth-of-type(3) {
	bottom: 0;
}

.menu-trigger.active span:nth-of-type(1) {
	transform: translateY(20px) rotate(-45deg);
}

.menu-trigger.active span:nth-of-type(2) {
	opacity: 0;
}

.menu-trigger.active span:nth-of-type(3) {
	transform: translateY(-20px) rotate(45deg);
}

@media only screen and (max-width: 1020px) {
	.menu-trigger {
		display: block;
	}
}

@media only screen and (max-width: 414px) {
	.menu-trigger {
		width: 30px;
		height: 20px;
	}

	.menu-trigger span {
		height: 2px;
		border-radius: 2px;
	}

	.menu-trigger span:nth-of-type(2) {
		top: 9px;
	}

	.menu-trigger.active span:nth-of-type(1) {
		transform: translateY(9px) rotate(-45deg);
	}

	.menu-trigger.active span:nth-of-type(3) {
		transform: translateY(-9px) rotate(45deg);
	}
}
